#ToggleWindow
import PyQt5.QtWidgets as qtwid
import PyQt5.QtCore as qtcore
class ToggleWindow(qtwid.QMainWindow):
    def __init__(self):
        super().__init__()
        self.flag = False
        self.setWindowTitle("배경 색 토글")
        self.resize(300,300)
        self.ChangeColor()
    def mousePressEvent(self, e):
        if e.buttons() & qtcore.Qt.LeftButton: 
            self.ChangeColor()
    def ChangeColor(self):
        p = self.palette()
        if(self.flag):            
            p.setColor(self.backgroundRole(), qtcore.Qt.white)            
        else:
            p.setColor(self.backgroundRole(), qtcore.Qt.black)
        self.setPalette(p)
        self.flag = self.flag ^ True
